#ifndef _Tcameratag_H_
#define _Tcameratag_H_

enum
{
	Tcameratag		= 1900,
	E				= 1905,
	D50				= 1906,
	D55				= 1907,
	D65				= 1908,
	D75				= 1909,
	A				= 1910,
	B				= 1911,
	C				= 1912,
	WP_9300			= 1913,
	F2				= 1914,
	F7				= 1915,
	F11				= 1916,
	WHITE_POINT		= 1917,
	AUTOFOCUS		= 1925,
	
	EXPOSURE_DURATION	= 1926,

	F_STOP		= 1927,
	F_1			= 1928,
	F_1_4		= 1929,
	F_2			= 1930,
	F_2_8		= 1931,
	F_4			= 1932,
	F_5_6		= 1933,
	F_8			= 1934,
	F_11		= 1935,
	F_16		= 1936,
	F_22		= 1937,
	F_32		= 1938,
	F_45		= 1939,
	F_64		= 1940,

	ID_CAMERA_TM	= 1941,
	ISO_VALUE		= 1942,
	EV_ADJUST		= 1943,
	CAMERA_TYPE		= 1944,

	TONE_MAPPING	= 1945,
	LINEAR			= 1946,
	REINHARD		= 1947,
	CAMERA_TONEMAPPING	= 1948,
	PRE_SCALE		= 1949,
	POST_SCALE		= 1950,

	ID_LIN_RH		= 1951,
	RH_BURN			= 1952,

	ID_IMAGE_SETTINGS = 1954,

	RENDER_WIDTH	= 1955,
	RENDER_HEIGHT	= 1956,
	ASPECTRAT		= 1957,
	CALC_AR			= 1958,

	ID_TONEMAPPING	= 1959,

	RENDER_SSF		= 1960,
	WATERMARK		= 1961,

	APERTURE_DIFFRACTION	= 1962,

	APERTURE_SHAPE_TYPE			= 1963,
	APERTURE_SHAPE_CIRCULAR		= 1964,
	APERTURE_SHAPE_GENERATED	= 1965,
	APERTURE_SHAPE_IMAGE		= 1966,

	APERTURE_SHAPE_GENERATED_NUM_BLADES	= 1967,
	APERTURE_SHAPE_GENERATED_BLADE_OFF	= 1968,
	APERTURE_SHAPE_GENERATED_BLADE_C_R	= 1969,
	APERTURE_SHAPE_GENERATED_START_ANGLE	= 1970,
	
	APERTURE_SHAPE_IMAGE_PATH	= 1971,

	ID_APERTURE_SHAPE_GENERATED	= 1972,
	ID_APERTURE_SHAPE_IMAGE		= 1973,

	FILTERS_MN_CUBIC			= 1974,
	FILTERS_BOX					= 1975,
	FILTERS_GAUSSIAN			= 1976,

	SPLAT_FILTER		= 1977,
	DOWNSIZE_FILTER		= 1978,

	USE_OBSTACLE_MAP	= 1979,
	OBSTACLE_MAP_PATH	= 1980,

	APERTURE_DIFFRACTION_NONE		= 1981,
	APERTURE_DIFFRACTION_POST		= 1982,
	APERTURE_DIFFRACTION_PHYSICAL	= 1983,

	SPLAT_FILTER_CUBIC_RING		= 1984,
	SPLAT_FILTER_CUBIC_BLUR		= 1985,

	DOWNSIZE_FILTER_CUBIC_RING	= 1986,
	DOWNSIZE_FILTER_CUBIC_BLUR	= 1987,

	RENDER_REGION		= 1988,
	
	RENDER_REGION_X1	= 1989,
	RENDER_REGION_X2	= 1990,
	RENDER_REGION_Y1	= 1991,
	RENDER_REGION_Y2	= 1992,

	ID_RENDER_REGION	= 1993,

	INFO_OVERLAY		= 1994,
};

#endif



