#ifndef _omyrendersettings_H_
#define _omyrendersettings_H_

enum
{
	omyrendersettings	= 1300,
	SUN				= 1301,
	TURBIDITY		= 1303,
	RENDERER_SETTINGS	= 1318,
	SHOW_ADVANCED	= 1319,
	//ASPECTRAT		= 1339,
	GLOBALSCALE		= 1340,

	//RENDER_WIDTH	= 1326,
	//RENDER_HEIGHT	= 1327,
	RENDER_MAXDEPTH	= 1330,
	RENDER_MAXNCR	= 1331,
	RENDER_HALT		= 1332,
	RENDER_SAVEIGI	= 1333,

	RENDER_MODE		= 1334,
	PATHTRACER		= 1335,
	PT_BIDIR		= 1336,
	METROPOLIS		= 1337,
	MLT_BIDIR		= 1338,

	//CALC_AR			= 1341,

	ID_ENVMAPS		= 1342,

	ENV_TYPE		= 1343,
	TYPE_LATLONG	= 1344,
	TYPE_SPHERICAL	= 1345,

	ENV_PATH		= 1346,
	ENV_GAIN		= 1347,
	SP_WIDTH		= 1348,

	RENDER_LARGEMUTPROB		= 1350,
	RENDER_MAXCHANGE		= 1351,
	RENDER_LOGGING			= 1352,
	RENDER_DISPLAYPERIOD	= 1353,
	RENDER_IMAGESAVEPERIOD	= 1354,
	RENDER_SAVEUEXR			= 1355,
	RENDER_SAVETEXR			= 1356,
	RENDER_NUMTHREADS		= 1357,
	RENDER_CACHETREES		= 1358,
	RENDER_POLARISATION		= 1359,
	//RENDER_SSF				= 1360,
	RENDER_HYBRID			= 1361,
	RENDER_BIH_TRI			= 1362,
	
	LT_BACKGROUND			= 1363,
	LT_SUN					= 1364,
	LT_ENVMAP				= 1365,

	ID_BACKGROUND			= 1366,
	ID_SUN					= 1367,
	
	LIGHTNING_TYPE			= 1368,

	LT_NONE					= 1379,

	EXTRA_ATMOSPHERIC		= 1381,

	RENDER_HALT_SPP			= 1382,
	RENDER_AUTO_CHOOSE_THREADS	= 1383,

	BACKGROUND_SPECTRUMTYPE				= 1374,
	BACKGROUND_SPECTRUMTYPE_PEAK		= 1373,
	BACKGROUND_SPECTRUMTYPE_RGB			= 1370,
	BACKGROUND_SPECTRUMTYPE_BLACKBODY	= 1372,
	BACKGROUND_SPECTRUMTYPE_UNIFORM		= 1371,

	BACKGROUND_SPECTRUM_BLACKBODY		= 1377,
	BACKGROUND_SPECTRUM_RGB				= 1375,
	BACKGROUND_SPECTRUM_UNIFORM			= 1376,
	BACKGROUND_SPECTRUM_PEAK			= 1378,

	BACKGROUND_SPECTRUM_BLACKBODY_TEMP	= 1065,
	BACKGROUND_SPECTRUM_BLACKBODY_GAIN	= 1066,
	BACKGROUND_SPECTRUM_UNIFORM_VALUE	= 1067,
	BACKGROUND_SPECTRUM_RGB_COLOR		= 1068,
	BACKGROUND_SPECTRUM_RGB_GAMMA		= 1384,

	//WATERMARK			= 1386,
};

#endif



